stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Types | Public Attributes | Friends | List of all members
stdex::wav::ltxt Struct Reference

Labeled text. More...

`#include <stdex/wav.hpp>`

## Public Types
using | record = stdex::idrec::record<ltxt, id_t, 0x7478746C , length_t, align>

## Public Attributes
uint32_t | id = 0
| The starting sample point that corresponds to this text label by providing the ID of a Cue Point defined in the Cue Point List. The ID that associates this label with a Cue Point must be unique to all other note chunk Cue Point IDs.
uint32_t | duration = 0
| How many samples from the cue point the region or section spans.
id_t | purpose_id = 0
| What the text is used for. For example a value of "scrp" means script text, and "capt" means close-caption. There are several more purpose IDs, but they are meant to be used with other types of RIFF files (not usually found in WAVE files).
uint16_t | country = 0
| Country code used by text.
uint16_t | language = 0
| Language code used by text.
uint16_t | dialect = 0
| Dialect code used by text.
uint16_t | charset = 0
| Charset used by text.
std::string | description
| Description text.

## Friends
stdex::stream::basic & | operator<< (stdex::stream::basic &dat, const ltxt &data)
stdex::stream::basic & | operator>> (stdex::stream::basic &dat, ltxt &data)

## Detailed Description

Labeled text.

The documentation for this struct was generated from the following file:

- include/stdex/wav.hpp